Skip to main content
DELETE
/
ecommerce
/
orders
/
{id}
Delete Order
curl --request DELETE \
  --url https://api.rootfi.dev/v4/ecommerce/orders/{id} \
  --header 'api_key: <api-key>'
{
  "status": "success"
}
Delete an order from the e-commerce platform. This action may be irreversible depending on the underlying platform.
Deleting an order may fail if it has associated fulfillments or transactions. Cancel fulfillments and settle transactions before deleting.

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe rootfi_id or platform_id of the order to delete

Authorizations

api_key
string
header
required

Path Parameters

id
string
required

The rootfi_id or platform_id of the order

Response

Order deleted successfully

status
string
required

The status of the api.

Example:

"success"